summaryrefslogtreecommitdiff
path: root/ubuntu_template/rvi.postrm
diff options
context:
space:
mode:
authorMagnus Feuer <mfeuer@jaguarllandrover.com>2016-02-01 15:56:28 -0800
committerMagnus Feuer <mfeuer@jaguarllandrover.com>2016-02-01 15:56:28 -0800
commit52e8b1a77a8c19b1fba5b3f9a344e6f90f30e993 (patch)
tree8f09047016f45142834facf7089b2c613d2bfa44 /ubuntu_template/rvi.postrm
parent713055c80b3a683b1225284512dae3b370bd2410 (diff)
downloadrvi_core-52e8b1a77a8c19b1fba5b3f9a344e6f90f30e993.tar.gz
First stab at debian build
Diffstat (limited to 'ubuntu_template/rvi.postrm')
-rw-r--r--ubuntu_template/rvi.postrm41
1 files changed, 41 insertions, 0 deletions
diff --git a/ubuntu_template/rvi.postrm b/ubuntu_template/rvi.postrm
new file mode 100644
index 0000000..0ded6f8
--- /dev/null
+++ b/ubuntu_template/rvi.postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for rvi
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+case "$1" in
+
+ remove|purge|upgrde|disappear)
+ rm -f /etc/init.d/rvi
+ update-rc.d rvi remove
+ ;;
+
+ *)
+ exit 0
+ ;;
+
+
+esac
+
+#DEBHELPER#
+
+db_stop
+
+exit 0